# Interface ZlibOptions

#### Hierarchy

- ZlibOptions

#####
Index

### Properties

chunkSize?
dictionary?
finishFlush?
flush?
info?
level?
maxOutputLength?
memLevel?
strategy?
windowBits?

## Properties

### `Optional` chunkSize

chunkSize?: number

#### Default

    16*1024

### `Optional` dictionary

dictionary?: ArrayBuffer | ArrayBufferView

### `Optional` finishFlush

finishFlush?: number

#### Default

    constants.Z_FINISH

### `Optional` flush

flush?: number

#### Default

    constants.Z_NO_FLUSH

### `Optional` info

info?: boolean

### `Optional` level

level?: number

### `Optional` maxOutputLength

maxOutputLength?: number

### `Optional` memLevel

memLevel?: number

### `Optional` strategy

strategy?: number

### `Optional` windowBits

windowBits?: number

Generated using TypeDoc